Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1483308 - Review Request: pgzero - A zero-boilerplate 2D games framework
Summary: Review Request: pgzero - A zero-boilerplate 2D games framework
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-20 10:43 UTC by Lumír Balhar
Modified: 2017-08-31 22:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-31 22:51:38 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Lumír Balhar 2017-08-20 10:43:51 UTC
Spec URL: https://lbalhar.fedorapeople.org/pgzero.spec
SRPM URL: https://lbalhar.fedorapeople.org/pgzero-1.1-1.fc26.src.rpm
Description: Pygame Zero A zero boilerplate games programming framework for Python 3, based on Pygame. Pygame Zero consists of a runner pgzrun that will run a Pygame Zero script with a full game loop and a range of useful builtins.
Fedora Account System Username: lbalhar

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=21350130

Comment 1 Robert-André Mauchin 🐧 2017-08-20 18:54:00 UTC
Hello,

 - I think you should add the "examples/" to the %doc.

 - You should add a more meaningful name to the downloaded archive, with:

Source0:        https://bitbucket.org/lordmauve/%{name}/get/%{version}.tar.gz#/%{name}-%{version}.tar.gz

 - We've got several license here, you must add them all in the License: tag and detail which covers what part.

*No copyright* Apache (v2.0)
----------------------------
lordmauve-pgzero-de127c76f809/examples/basic/fonts/Cherry_Cream_Soda/LICENSE.txt
lordmauve-pgzero-de127c76f809/examples/basic/fonts/Roboto_Condensed/LICENSE.txt

*No copyright* CC by-sa (v4.0)
------------------------------
lordmauve-pgzero-de127c76f809/examples/lander/lander.py

CC0
---
lordmauve-pgzero-de127c76f809/examples/basic/fonts/bubblegum_sans.ttf

LGPL (v3)
--------
lordmauve-pgzero-de127c76f809/COPYING

MIT/X11 (BSD like)
------------------
lordmauve-pgzero-de127c76f809/examples/memory/LICENCE

SIL (v1.1)
----------
lordmauve-pgzero-de127c76f809/examples/basic/fonts/Boogaloo/OFL.txt
lordmauve-pgzero-de127c76f809/examples/basic/fonts/Bubblegum_Sans/OFL.txt

See https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses for a list of valid license shortname. For example SIL license shortname is OFL and Apache → ASL 2.0.

Comment 2 Lumír Balhar 2017-08-21 18:15:37 UTC
Thank you very much for the review and mentioned points. All of them are fixed in the newest version of specfile and srpm available at the same links.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=21380419

Comment 3 Robert-André Mauchin 🐧 2017-08-21 18:35:21 UTC
This won't work:

License:        LGPLv3, ASL 2.0, CC-BY-SA, CC0, MIT, OFL

Licenses must be separated by "and". Also you need to specify in a comment which license covers what part, e.g. bubblegum_sans.ttf under CC0 and so on.

Comment 4 Lumír Balhar 2017-08-22 07:24:23 UTC
Fixed. Is it now ok?

Thank you.

Comment 5 Robert-André Mauchin 🐧 2017-08-22 08:04:37 UTC
Yes thank you, package accepted.

Comment 6 Gwyn Ciesla 2017-08-22 14:07:07 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/pgzero

Comment 7 Fedora Update System 2017-08-22 19:52:27 UTC
pgzero-1.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a6119d4d5d

Comment 8 Fedora Update System 2017-08-24 01:50:37 UTC
pgzero-1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a6119d4d5d

Comment 9 Fedora Update System 2017-08-31 22:51:38 UTC
pgzero-1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.